def PreprocessFiles(tester, dirs, files):
    ordered_files = ['test_action',
                     'test_assert',
                     'test_command',
                     'test_predicate',
                     'test_query',
                     'test_rule',
                     'test_inferenceengine_core',
                     'test_parser',
                     'test_parsed_action',
                     'test_parsed_assert',
                     'test_parsed_command',
                     'test_parsed_query',
                     'test_parsed_rule',
                     ]

    ignored_files = []
    position = 0
    for file in ordered_files:
        if file in files:
            files.remove(file)
            files.insert(position, file)
            position = position + 1

    files = filter(lambda x,i=ignored_files:x not in i,files)

    return (dirs, files)
